import grpc
import unittest
import numpy as np
import minecraft_pb2_grpc
from minecraft_pb2 import *
from utils_coordinates import Coordinates as coor
from utils_server_client import ServerClient

class TestServerClient(unittest.TestCase):
    
    server_client = ServerClient()
    loc = coor(0,0,0)
    
    def test(self):
        pass
    
    def test_create_block(self):
        true_block = Block(
                position=self.loc.to_point(),
                type=AIR,
                orientation=NORTH,
        )
        block = ServerClient.create_block(self.loc, AIR)
        self.assertEqual(block, true_block)

    def test_create_sign_descriptor(self):
        pass

    # TODO rest of the tests

if __name__ == '__main__':
    unittest.main()